<div class="SingleProductContainer__gallery">
    {% if product_images|length %}
        <div class="swiper single-product-slider">
            <div class="swiper-wrapper">
                {% for image in product_images %}
                    <div class="swiper-slide">
                        <a href="{{ Image(image).src('woocommerce_single') }}">
                            <img class="swiper-lazy w-full object-contain" data-src="{{ Image(image).src('woocommerce_single') }}" width="500" height="500" alt="{{ Image(image).alt }}">
                        </a>
                        <div class="single-product-slider-preloader absolute left-1/2 top-1/2 -translate-y-1/2 -translate-x-1/2">
                            {{ icon('loader-spinner') }}
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>

        <div class="swiper single-product-slider-thumbnails mt-2">
            <div class="swiper-wrapper">
                {% for image in product_images %}
                        <div class="swiper-slide swiper-thumbnail cursor-pointer">
                            <img  src="{{ Image(image).src('woocommerce_gallery_thumbnail') }}" width="{{ Image(image).sizes.woocommerce_gallery_thumbnail.width }}" height="{{ Image(image).sizes.woocommerce_gallery_thumbnail.height }}"  alt="{{ Image(image).alt }}">
                    </div>
                {% endfor %}
            </div>
        </div>
        
    {% endif %}
</div>